"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 New code and modifications done at SWING Research Group [1]:

 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 [1] Code written at SWING Research Group contains a signature
     of one of the above copright owners. For exact set of such code,
     see the differences between this version and version stx:libjava
     as of 1.9.2010
"
"{ Package: 'stx:libjava' }"

SharedPool subclass:#JavaConstants
	instanceVariableNames:''
	classVariableNames:'ACC_PUBLIC ACC_PRIVATE ACC_PROTECTED ACC_STATIC ACC_FINAL
		ACC_SYNCHRONIZED ACC_BRIDGE ACC_VARGARS ACC_NATIVE ACC_ABSTRACT
		ACC_STRICT ACC_SYNTHETIC ACC_SUPER ACC_INTERFACE ACC_ANNOTATION
		ACC_ENUM ACC_VOLATILE ACC_TRANSIENT ACC_OBSOLETE ACX_INITIALIZED
		ACX_INITIALIZING ACX_BREAKPNT ACX_HASHANDLER ACX_HASFINALLY
		AXC_RESOLVED'
	poolDictionaries:''
	category:'Languages-Java-Support'
!

!JavaConstants class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 New code and modifications done at SWING Research Group [1]:

 COPYRIGHT (c) 2010-2011 by Jan Vrany, Jan Kurs and Marcel Hlopko
                            SWING Research Group, Czech Technical University in Prague

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.

 [1] Code written at SWING Research Group contains a signature
     of one of the above copright owners. For exact set of such code,
     see the differences between this version and version stx:libjava
     as of 1.9.2010

"
! !

!JavaConstants class methodsFor:'class initialization'!

initialize
    "Initialization code is in C to make sure stc.h and smalltalk
     visible constants are in sync"
    
    
%{    
        @global(JavaConstants:ACC_PUBLIC)      = __MKSMALLINT(__ACC_PUBLIC);
        @global(JavaConstants:ACC_PRIVATE)     = __MKSMALLINT(__ACC_PRIVATE);
        @global(JavaConstants:ACC_PROTECTED)   = __MKSMALLINT(__ACC_PROTECTED);

        @global(JavaConstants:ACC_STATIC)      = __MKSMALLINT(__ACC_STATIC);
        @global(JavaConstants:ACC_FINAL)       = __MKSMALLINT(__ACC_FINAL);
        @global(JavaConstants:ACC_SYNCHRONIZED)= __MKSMALLINT(__ACC_SYNCHRONIZED);

        @global(JavaConstants:ACC_SUPER)       = __MKSMALLINT(__ACC_SUPER);
        @global(JavaConstants:ACC_VOLATILE)    = __MKSMALLINT(__ACC_VOLATILE);
        @global(JavaConstants:ACC_TRANSIENT)   = __MKSMALLINT(__ACC_TRANSIENT);
        @global(JavaConstants:ACC_NATIVE)      = __MKSMALLINT(__ACC_NATIVE);

        @global(JavaConstants:ACC_INTERFACE)   = __MKSMALLINT(__ACC_INTERFACE);
        @global(JavaConstants:ACC_ABSTRACT)    = __MKSMALLINT(__ACC_ABSTRACT);
        @global(JavaConstants:ACC_STRICT)      = __MKSMALLINT(__ACC_STRICT);    
        @global(JavaConstants:ACC_SYNTHETIC)   = __MKSMALLINT(__ACC_SYNTHETIC);

        @global(JavaConstants:ACC_ENUM)        = __MKSMALLINT(__ACC_ENUM);
        @global(JavaConstants:ACC_ANNOTATION)  = __MKSMALLINT(__ACC_ANNOTATION);
        @global(JavaConstants:ACC_OBSOLETE)    = __MKSMALLINT(__ACC_OBSOLETE);

        @global(JavaConstants:ACX_INITIALIZED) = __MKSMALLINT(__ACX_INITIALIZED);
        @global(JavaConstants:ACX_INITIALIZING)= __MKSMALLINT(__ACX_INITIALIZING);
        @global(JavaConstants:ACX_BREAKPNT)    = __MKSMALLINT(__ACC_BREAKPNT);
        @global(JavaConstants:ACX_HASHANDLER)  = __MKSMALLINT(__ACX_HASHANDLER);
        @global(JavaConstants:ACX_HASFINALLY)  = __MKSMALLINT(__ACX_HASFINALLY);
        @global(JavaConstants:ACX_RESOLVED)  = __MKSMALLINT(__ACX_RESOLVED);


%}

    "Created: / 25-10-2011 / 09:50:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 28-10-2011 / 16:56:17 / m"
    "Modified: / 28-03-2012 / 23:06:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaConstants class methodsFor:'constants'!

ACC_ABSTRACT

    ^ACC_ABSTRACT

    "Created: / 22-08-2012 / 10:53:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ACC_FINAL

    ^ACC_FINAL

    "Created: / 22-08-2012 / 10:53:50 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ACC_PRIVATE

    ^ACC_PRIVATE

    "Created: / 22-08-2012 / 10:54:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ACC_PROTECTED

    ^ACC_PROTECTED

    "Created: / 22-08-2012 / 12:13:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ACC_PUBLIC

    ^ACC_PUBLIC

    "Created: / 22-08-2012 / 10:53:55 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ACC_SUPER

    ^ACC_SUPER

    "Created: / 22-08-2012 / 10:54:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaConstants class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !

JavaConstants initialize!
