package stx.libjava.examples

class SmalltalkEvaluator {
	
	protected Object evaluator;
	
	public SmalltalkEvaluator() {		
		ClassLoader stcl = stx.libjava.ClassLoader.getSmalltalkClassLoader();
		evaluator = stcl.loadClass("SMALLTALK.ByteCodeCompiler").newInstance();		
	} 
	
	/**
	 * Evaluates given code in Smalltalk and returns result of evaluation 
	 * @param code A Smalltalk code to evaluate
	 * @return Result of evaluation.
	 */
	public Object evaluate(String code) {
		return evaluator.evaluate(code);
	}
	

	static main(args) {
	
	}

}
