package stx.libjava.tools;

import org.eclipse.jdt.internal.compiler.env.INameEnvironment;
import org.eclipse.jdt.internal.compiler.env.NameEnvironmentAnswer;

public class LibjavaCompilerEnv implements INameEnvironment {

    public NameEnvironmentAnswer findType(char[][] compoundTypeName) {
        return findTypeNative(compoundTypeName);
    }

    public NameEnvironmentAnswer findType(char[] typeName, char[][] packageName) {
        return findTypeNative(typeName, packageName);
    }

    public boolean isPackage(char[][] parentPackageName, char[] packageName) {
        return isPackageNative(parentPackageName, packageName);
    }

    public void cleanup() {
        cleanupNative();
    }

    private native void cleanupNative();

    private native boolean isPackageNative(char[][] parentPackageName, char[] packageName);

    private native NameEnvironmentAnswer findTypeNative(char[] typeName, char[][] packageName);

    private native NameEnvironmentAnswer findTypeNative(char[][] compoundTypeName);
}
