package stx.libjava.tests.lang;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import stx.libjava.tests.mocks.a.A;
import stx.libjava.tests.mocks.b.B;


public class MemberVisibilityTests {
	
	@Test
	public void testPackagePrivateNormal() {
		String result;
		result = A.callMethod1(new A());
		assertEquals(result , "A.method1()");
		
		result = A.callMethod1(new B());
		assertEquals(result , "A.method1()"); //!!!!!!!!		
	}
	
	@Test
	public void testPackagePrivateReflection() {
		String result;
		result = A.callMethod1ViaReflection(new A());
		assertEquals(result , "A.method1()");
		
		result = A.callMethod1ViaReflection(new B());
		assertEquals(result , "A.method1()");				
	}


}
